import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message';

const width = 960;
const height = 500;
const csvUrl = 'https://gist.githubusercontent.com/kazokuma/b0e1afc3dfadc1415a4b8abd93594a0f/raw/cssNamedColors.csv';


const App = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
  	csv(csvUrl).then(setData);  //Originally then(data => {console.log("Fetching Data");setData(data);
  }, []);
  
  
  return <pre>{data ? message(data) : "Loading..."}</pre>;
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);